export const apiurl = {
  // 登录接口
  loginUrl: '/operator/auth/login',
  // 退出登录接口
  logoutUrl: '/operator/auth/loginOut',
  // 获取数据字典接口
  getDictUrl: '/admin/dict/data/type/',
  // 获取参数设置接口
  getParameterUrl: '/admin/config/configKey/',
  // 今日概况模块接口
  todayOverview: {
    // 获取今日路段概况
    getTodayDataUrl: '/admin/overview/today',
    // 获取路段概况接口
    getRoadDataUrl: '/admin/overview/roadspacecount',
    // 获取今日停车概况
    getParkDataUrl: '/admin/overview/todaypark'
  },
  // 运营分析模块接口
  operationalAnalysis: {
    // 获取营收分析接口
    getRevenueDataUrl: '/admin/statis/amt',
    // 获取营收分析(停车场)接口
    getParkingRevenueDataUrl: '/admin/statis/parkamt',
    // 获取路段/停车场营收排行接口
    getParkingLotRevenueDataUrl: '/admin/overview/roadtop',
    // 获取车流量分析接口
    getTrafficFlowDataUrl: '/admin/overview/vehicle',
    // 获取车流量分析(停车场)接口
    getParkingTrafficFlowDataUrl: '/admin/overview/parkvehicle',
    // 获取收费员业绩排行接口
    getTollCollectorPerformanceUrl: '/admin/overview/payeetop',
    // 获取营收趋势统计接口
    getRevenueTrendsDataUrl: '/admin/statis/roadamt',
    // 获取路段分析车流量分析接口
    getRoadTrafficFlowDataUrl: '/admin/statis/roadvehicle',
    // 获取欠费分析接口
    getArrearsDataUrl: '/admin/statis/oweamt',
    // 获取欠费分析(停车场)接口
    getParkingArrearsDataUrl: '/admin/statis/oweamtparking',
    // 获取收入分析接口
    getIncomeDataUrl: '/admin/income/amt',
    // 获取收入分析(停车场)接口
    getParkingIncomeDataUrl: '/admin/income/parkamt',
    // 获取支付方式占比接口
    getPaymentWaysDataUrl: '/admin/overview/paysource',
    // 获取支付方式占比(停车场)接口
    getParkingPaymentWaysDataUrl: '/admin/overview/parkpaysource',
    // 获取支付来源分析接口
    getPaySourceDataUrl: '/admin/overview/payplat',
    // 获取支付来源分析(停车场)接口
    getParkingPaySourceDataUrl: '/admin/overview/parkpayplat',
    // 获取停车场分析营收金额接口
    getParkingLotRevenueAmountUrl: '/admin/reportparking/amt',
    // 获取停车场分车流量统计接口
    getParkingLotTrafficVolumeUrl: '/admin/reportparking/vehicle'
  },
  // 统计报表模块接口
  statisticalReport: {
    // 获取收费员业绩统计接口
    getTollCollectorAchieveTotalUrl: '/admin/report/payeetotal',
    // 获取收费员业绩统计列表接口
    getTollCollectorAchieveListUrl: '/admin/report/payee',
    // 获取路段泊位统计接口
    getRoadSpaceTotalUrl: '/admin/report/spacetotal',
    // 获取路段泊位列表接口
    getRoadSpaceListUrl: '/admin/report/space',
    // 获取欠费统计接口
    getArrearsReportTotalUrl: '/admin/report/owetotal',
    // 获取欠费统计(停车场)接口
    getParkingArrearsReportTotalUrl: '/admin/report/parkowetotal',
    // 获取欠费统计列表接口
    getArrearsReportListUrl: '/admin/report/owe',
    // 获取欠费统计列表(停车场)接口
    getParkingArrearsReportListUrl: '/admin/report/parkowe',
    // 获取营收统计接口
    getIncomeTotalUrl: '/admin/report/incometotal',
    // 获取路段营收统计接口
    getRoadIncomeTotalUrl: '/admin/report/incometotalroad',
    // 获取停车场营收统计接口
    getParkIncomeTotalUrl: '/admin/report/incometotalpark',
    // 获取营收列表接口
    getIncomeListUrl: '/admin/report/income',
    // 获取路段营收列表接口
    getRoadIncomeListUrl: '/admin/report/incomeroad',
    // 获取停车场营收列表接口
    getParkIncomeListUrl: '/admin/report/incomepark',
    // 获取实收应收分析列表接口
    getReallyReceivableListUrl: '/admin/report/amt',
    // 获取实收应收分析列表(停车场)接口
    getParkingReallyReceivableListUrl: '/admin/report/parkamt',
    // 获取考勤统计列表接口
    getPunchListUrl: '/admin/report/punch',
    // 获取停车场实收统计接口
    getParkingReallyIncomeUrl: '/admin/reportparking/realamt',
    // 获取停车场实收统计总数据接口
    getParkingReallyIncomeTotalUrl: '/admin/reportparking/realamttotal',
    // 获取追缴统计接口
    getRecoveryReportUrl: '/admin/report/pursue',
    // 获取追缴统计汇总接口
    getRecoverySumReportUrl: '/admin/report/pursuesum'
  },
  // 收费员业绩管理模块接口
  tollCollectorPerformance: {
    getAllTollCollectorUrl: '/admin/payeeinfo'
  },
  // 设备异常记录模块接口
  deviceAbnormal: {
    // 获取设备异常记录列表接口
    getDeviceAbnormalListUrl: '/operator/deviceexcptionoper',
    // 获取设备异常记录详情接口
    getDeviceAbnormalDetailsUrl: '/operator/deviceexcptionoper/findById',
    // 修改设备异常记录信息为已读接口
    updateDeviceAbnormalInfoUrl: '/operator/deviceexcptionoper/updateRedStatus',
		// 添加评论
		addDeviceAbnormalRecordsEvaluateUrl: '/operator/deviceexcptionevaluate'
  },
	// 应急处置记录模块接口
  emergencyDisposal: {
    // 获取应急处置列表接口
    getEmergencyDisposalRecordsListUrl: '/operator/deviceexcptionprocess/selectHandleExcptionList',
    // 获取应急处置详情接口
    getEmergencyDisposalRecordsDetailsUrl: '/operator//deviceexcptionprocess/getById'
  }
};
